@ECHO OFF

REM TT Windows batch control v 1.1 (relative paths)
REM Copyright (c) 2013 Tremendum Transcoder. All rights reserved.
REM
REM Adjust the command used to kill ffmpeg.exe process accordingly to your OS.
REM
REM NOTE: Do not quote FLAGS_FOLDER value even if it has spaces.

REM --- SETTINGS START --------------------------------------------------------
SET PHP_CMD="..\bin\php\php.exe" -n -d zend_extension=..\bin\php\ioncube_loader_win_5.4.dll
SET TT_CRON="..\core\tt-cron.php"
SET KILL_FFMPEG=taskkill.exe /F /IM ffmpeg.exe
SET FLAGS_FOLDER=..\flags
REM --- SETTINGS END ----------------------------------------------------------

SET FLAG_PID="%FLAGS_FOLDER%\tremendum_transcoder.pid"
SET FLAG_KILL="%FLAGS_FOLDER%\tremendum_transcoder.kill"
SET FLAG_KILLED="%FLAGS_FOLDER%\tremendum_transcoder.killed"
SET FLAG_ABORT="%FLAGS_FOLDER%\tremendum_transcoder.abort"
SET FLAG_START="%FLAGS_FOLDER%\tremendum_transcoder.start"
SET FLAG_RUNNING="%FLAGS_FOLDER%\tremendum_transcoder.running"
SET DUMMY_OUTPUT="%FLAGS_FOLDER%\tremendum_transcoder.dummy"

REM --- Check for kill or start requests ---
IF EXIST %FLAG_KILL% GOTO KILL_REQUEST
IF EXIST %FLAG_START% GOTO START_REQUEST
GOTO END

:KILL_REQUEST
echo Killing ffmpeg process...
IF EXIST %FLAG_RUNNING% GOTO KILL_PROCESS
GOTO END

:KILL_PROCESS
echo "0" > %FLAG_ABORT%
echo "0" > %FLAG_KILLED%
%KILL_FFMPEG%
REM Ensure multipass encoding kill
ping -n 2 127.0.0.1 >NUL
%KILL_FFMPEG%

IF EXIST %FLAG_KILL% GOTO DELETE_KILL
GOTO END

:DELETE_KILL
DEL %FLAG_KILL%
GOTO END

:START_REQUEST
IF EXIST %FLAG_RUNNING% GOTO END
echo Starting Tremendum Transcoder...
START "TT_WINDOW" /B %PHP_CMD% %TT_CRON% > %DUMMY_OUTPUT%

:END